org.apache.datasketches.tuple.arrayofdoubles

## Class ArrayOfDoublesCompactSketch

- java.lang.Object
- - org.apache.datasketches.tuple.arrayofdoubles.ArrayOfDoublesSketch
  - - org.apache.datasketches.tuple.arrayofdoubles.ArrayOfDoublesCompactSketch

    public abstract class ArrayOfDoublesCompactSketch
    extends ArrayOfDoublesSketch

Top level compact tuple sketch of type ArrayOfDoubles. Compact sketches are never created directly. They are created as a result of the compact() method on a QuickSelectSketch or the getResult() method of a set operation like Union, Intersection or AnotB. Compact sketch consists of a compact list (i.e. no intervening spaces) of hash values, corresponding list of double values, and a value for theta. The lists may or may not be ordered. A compact sketch is read-only.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCurrentBytes()` For compact sketches this is the same as getMaxBytes().
`int` `getMaxBytes()`

### Methods inherited from class org.apache.datasketches.tuple.arrayofdoubles.ArrayOfDoublesSketch

`compact, compact, getEstimate, getLowerBound, getNumValues, getRetainedEntries, getTheta, getUpperBound, getValues, hasMemory, heapify, heapify, isEmpty, isEstimationMode, iterator, toByteArray, toString, wrap, wrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getCurrentBytes

    public int getCurrentBytes()

Description copied from class: `ArrayOfDoublesSketch`
For compact sketches this is the same as getMaxBytes().

Specified by:
  `getCurrentBytes` in class `ArrayOfDoublesSketch`
Returns:
  the current number of bytes for this sketch when serialized.

#### getMaxBytes

    public int getMaxBytes()

Specified by:
  `getMaxBytes` in class `ArrayOfDoublesSketch`
Returns:
  the maximum number of bytes for this sketch when serialized.